Package Gnumed :: Package timelinelib :: Package config :: Module preferences :: Class PreferencesEditor |
[frames] | no frames]

# Class PreferencesEditor

source code

    object --+
             |
            PreferencesEditor

Instance Methods
__init__(self, dialog, config) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
initialize_controls(self) | source code
on_use_wide_date_range_changed(self, value) | source code
on_use_inertial_scrolling_changed(self, value) | source code
on_open_recent_changed(self, value) | source code
on_week_start_changed(self, value) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, dialog, config) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)